org.apache.flume.conf.channel

## Enum ChannelConfiguration.ChannelConfigurationType

- java.lang.Object
- - java.lang.Enum<ChannelConfiguration.ChannelConfigurationType>
  - - org.apache.flume.conf.channel.ChannelConfiguration.ChannelConfigurationType

- All Implemented Interfaces:
    Serializable, Comparable<ChannelConfiguration.ChannelConfigurationType>
  Enclosing class:
    ChannelConfiguration

      public static enum ChannelConfiguration.ChannelConfigurationType
      extends Enum<ChannelConfiguration.ChannelConfigurationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE` File channel
    `JDBC` JDBC channel provided by org.apache.flume.channel.jdbc.JdbcChannel
    `MEMORY`
    `OTHER`
    `SPILLABLEMEMORY` Spillable Memory channel

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChannelConfigurationType()`
    `ChannelConfiguration` | `getConfiguration(String name)`
    `static ChannelConfiguration.ChannelConfigurationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChannelConfiguration.ChannelConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ChannelConfiguration.ChannelConfigurationType OTHER

    - #### MEMORY

          public static final ChannelConfiguration.ChannelConfigurationType MEMORY

    - #### FILE

          public static final ChannelConfiguration.ChannelConfigurationType FILE

      File channel

    - #### JDBC

          public static final ChannelConfiguration.ChannelConfigurationType JDBC

      JDBC channel provided by org.apache.flume.channel.jdbc.JdbcChannel

    - #### SPILLABLEMEMORY

          public static final ChannelConfiguration.ChannelConfigurationType SPILLABLEMEMORY

      Spillable Memory channel

  - ### Method Detail

    - #### values

          public static ChannelConfiguration.ChannelConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChannelConfiguration.ChannelConfigurationType c : ChannelConfiguration.ChannelConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChannelConfiguration.ChannelConfigurationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getChannelConfigurationType

          public String getChannelConfigurationType()

    - #### getConfiguration

          public ChannelConfiguration getConfiguration(String name)
                                                throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.